Get a single marketplace package
curl --request GET \
--url https://{defaultHost}/api/v1/marketplace/packages/{public_uid} \
--header 'Authorization: Bearer <token>'import requests
url = "https://{defaultHost}/api/v1/marketplace/packages/{public_uid}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{defaultHost}/api/v1/marketplace/packages/{public_uid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "<string>",
"type": "<string>",
"attributes": {
"details": {
"address": "<string>",
"status": "<string>",
"floor_area": "<string>",
"contract_pricing": "<string>",
"id": "<string>",
"unit_number": "<string>",
"street_number": "<string>",
"street_address": "<string>",
"suburb": "<string>",
"state": "<string>",
"postcode": "<string>",
"region": "<string>",
"full_address": "<string>",
"property_type": "<string>",
"design": "<string>",
"facade": "<string>",
"contract_type": "<string>",
"bedrooms": "<string>",
"living_spaces": "<string>",
"bathrooms": "<string>",
"garages": "<string>",
"package_price": "<string>",
"land_price": "<string>",
"lot_size": "<string>",
"land_width": 123,
"land_length": 123,
"land_registration_date": "<string>",
"estimated_rental": "<string>",
"estimated_yield": "<string>",
"commission_rate": "<string>",
"tags": [
"<string>"
],
"inclusions": [
"<string>"
],
"building_type_in_location": "<string>",
"project_title": "<string>",
"project_description": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"verified_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"marketing_images": [
{
"url": "<string>"
}
],
"floor_plan_images": [
{
"url": "<string>"
}
],
"brochure_url": "<string>"
}
}
}
}{
"error": "<string>"
}Marketplace
Get a single marketplace package
GET
/
api
/
v1
/
marketplace
/
packages
/
{public_uid}
Get a single marketplace package
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Token authentication using format: Bearer <api_key>
Path Parameters
Package public_uid identifier
Example:
"BP-1234"
Response
successful
Show child attributes
Show child attributes